@import "../global.css";

div#root {
  --primary: var(--blue);
  --primary-rgb: 14, 73, 123;
  --primary-svg: var(--blue);
  --secondary: var(--gold);
  --primary-text: var(--blue);
  --secondary-text: var(--gold);
  --secondary-svg: var(--gold);
  --secondary-accent-line: var(--gold);
}

/* CTA */
.fwm-lightTheme footer .fwm-button-link,
.fwm-lightTheme .fwm-card-cta-link-buttonLinkPrimary,
.fwm-lightTheme .fwm-contact-us-button,
.fwm-lightTheme button.nmx-button--secondary {
  background: var(--blue-light-20);
  color: var(--white);
}

.fwm-lightTheme footer .fwm-button-link:hover,
.fwm-lightTheme .fwm-card-cta-link-buttonLinkPrimary:hover,
.fwm-lightTheme .fwm-contact-us-button:hover,
.fwm-lightTheme button.nmx-button--secondary:hover {
  background: var(--blue);
}

.fwm-darkTheme footer .fwm-button-link,
.fwm-darkTheme .fwm-card-cta-link-buttonLinkPrimary,
.fwm-darkTheme .fwm-contact-us-button,
button.fwm-hero-large-cta {
  background: var(--gold);
  color: var(--blue);
  border: initial;
}

.fwm-darkTheme footer .fwm-button-link:hover,
.fwm-darkTheme .fwm-card-cta-link-buttonLinkPrimary:hover,
.fwm-darkTheme .fwm-contact-us-button:hover,
button.fwm-hero-large-cta:hover {
  background: #cc8b00;
}

/* Primary background */
section.fwm-darkTheme {
  background: var(--primary-text);
}

/* Nav */
header.fwm-darkTheme {
    background: var(--primary-text);
}

#nmx-nav-primary > ul > li > a {
    color: var(--white);
}

.fwm-team-header-branding-logo svg * {
    fill: var(--white);
}